GET
/credits/Get Credits
Viewing basic information about your call settings
This method retrieves account limitations. Limitations are based on the commercial terms of your account as defined when the account was created. Limitations are subject to modification upon variation of commercial terms.
Account limitations include the following:
1. validTill - Account expiration date
2. calls - Max calls allowed per account on a daily, weekly, and monthly basis
3. pullsPerDay - Max daily pull requests allowed
4. horizonMax - Max time horizon allowed for demand predictions
5. events - Returns a two-key dictionary: max number of shops that can be active at a time (maxeventsshops) and shops already in use (usedeventsshops)
6. schedules - Returns a two-key dictionary: max number of schedules that can be active at a time (maxschedules) and schedules already in place (usedschedules)
This method retrieves account limitations. Limitations are based on the commercial terms of your account as defined when the account was created. Limitations are subject to modification upon variation of commercial terms.
Account limitations include the following:
1. validTill - Account expiration date
2. calls - Max calls allowed per account on a daily, weekly, and monthly basis
3. pullsPerDay - Max daily pull requests allowed
4. horizonMax - Max time horizon allowed for demand predictions
5. events - Returns a two-key dictionary: max number of shops that can be active at a time (maxeventsshops) and shops already in use (usedeventsshops)
6. schedules - Returns a two-key dictionary: max number of schedules that can be active at a time (maxschedules) and schedules already in place (usedschedules)
GET
/credits/Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | |
| 400 | Bad Request | Bad Request | None |
| 401 | Unauthorized | Unauthorized | None |
| 429 | Too Many Requests | Too Many Requests | None |
| 500 | Internal Server Error | Internal Server Error | None |
Example Request
# You can also use wget
curl -X GET /credits/ \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'Example responses
200 Response
{
"calls": {
"dailyCalls": 1000,
"weeklyCalls": 1000,
"monthlyCalls": 100000
},
"events": {
"maxEventsShops": 60,
"usedEventsShops": 70
},
"horizonMax": 50,
"pullsPerDay": 40,
"schedules": {
"maxSchedules": 70,
"usedSchedules": 80
},
"validTill": "Sat, 31 Dec 2050 00:00:00 GMT"
}Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.